Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageShrink3D Class Reference

`#include <vtkImageShrink3D.h>`

Inheritance diagram for vtkImageShrink3D:

[legend]
Collaboration diagram for vtkImageShrink3D:

[legend]
List of all members.

## Detailed Description

Subsamples an image.

Date:
  2002/01/22 15:33:26

Revision:
  1.38

vtkImageShrink3D shrinks an image by sub sampling on a uniform grid (integer multiples).

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (45%)
  - Lorensen, Bill (25%)
  - Martin, Ken (21%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageShrink3D.cxx)`
  - .`h` (`/Imaging/vtkImageShrink3D.h)`

Examples:
  vtkImageShrink3D (Examples)

Tests:
  vtkImageShrink3D (Tests)

Definition at line 50 of file vtkImageShrink3D.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetMean (int)
virtual int | GetMean ()
virtual void | MeanOn ()
virtual void | MeanOff ()
void | SetMinimum (int)
virtual int | GetMinimum ()
virtual void | MinimumOn ()
virtual void | MinimumOff ()
void | SetMaximum (int)
virtual int | GetMaximum ()
virtual void | MaximumOn ()
virtual void | MaximumOff ()
void | SetMedian (int)
virtual int | GetMedian ()
virtual void | MedianOn ()
virtual void | MedianOff ()
virtual void | SetShrinkFactors (int, int, int)
virtual void | SetShrinkFactors (int[3])
virtual int * | GetShrinkFactors ()
virtual void | GetShrinkFactors (int &, int &, int &)
virtual void | GetShrinkFactors (int[3])
virtual void | SetShift (int, int, int)
virtual void | SetShift (int[3])
virtual int * | GetShift ()
virtual void | GetShift (int &, int &, int &)
virtual void | GetShift (int[3])
void | SetAveraging (int)
int | GetAveraging ()
virtual void | AveragingOn ()
virtual void | AveragingOff ()
## Static Public Methods
vtkImageShrink3D * | New ()
int | IsTypeOf (const char *type)
vtkImageShrink3D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageShrink3D ()
| ~vtkImageShrink3D ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)
## Protected Attributes
int | ShrinkFactors [3]
int | Shift [3]
int | Mean
int | Minimum
int | Maximum
int | Median

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageShrink3D::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 54 of file vtkImageShrink3D.h.

## Constructor & Destructor Documentation

vtkImageShrink3D::vtkImageShrink3D | ( |  | ) | `[protected]`

vtkImageShrink3D::~vtkImageShrink3D | ( |  | ) | `[inline, protected]`

| Definition at line 99 of file vtkImageShrink3D.h.

## Member Function Documentation

vtkImageShrink3D* vtkImageShrink3D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageShrink3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageShrink3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageShrink3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageShrink3D* vtkImageShrink3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageShrink3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageShrink3D::SetShrinkFactors | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set/Get the shrink factors

virtual void vtkImageShrink3D::SetShrinkFactors | ( | int | [3] | ) | `[virtual]`

| Set/Get the shrink factors

virtual int* vtkImageShrink3D::GetShrinkFactors | ( |  | ) | `[virtual]`

| Set/Get the shrink factors

virtual void vtkImageShrink3D::GetShrinkFactors | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get the shrink factors

virtual void vtkImageShrink3D::GetShrinkFactors | ( | int | [3] | ) | `[virtual]`

| Set/Get the shrink factors

virtual void vtkImageShrink3D::SetShift | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set/Get the pixel to use as origin.

virtual void vtkImageShrink3D::SetShift | ( | int | [3] | ) | `[virtual]`

| Set/Get the pixel to use as origin.

virtual int* vtkImageShrink3D::GetShift | ( |  | ) | `[virtual]`

| Set/Get the pixel to use as origin.

virtual void vtkImageShrink3D::GetShift | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get the pixel to use as origin.

virtual void vtkImageShrink3D::GetShift | ( | int | [3] | ) | `[virtual]`

| Set/Get the pixel to use as origin.

void vtkImageShrink3D::SetAveraging | ( | int |  | ) |

| Choose Mean, Minimum, Maximum, Median or sub sampling. The neighborhood operations are not centered on the sampled pixel. This may cause a half pixel shift in your output image. You can changed "Shift" to get around this. vtkImageGaussianSmooth or vtkImageMean with strides.

int vtkImageShrink3D::GetAveraging | ( |  | ) | `[inline]`

| Choose Mean, Minimum, Maximum, Median or sub sampling. The neighborhood operations are not centered on the sampled pixel. This may cause a half pixel shift in your output image. You can changed "Shift" to get around this. vtkImageGaussianSmooth or vtkImageMean with strides. Definition at line 76 of file vtkImageShrink3D.h.

virtual void vtkImageShrink3D::AveragingOn | ( |  | ) | `[virtual]`

| Choose Mean, Minimum, Maximum, Median or sub sampling. The neighborhood operations are not centered on the sampled pixel. This may cause a half pixel shift in your output image. You can changed "Shift" to get around this. vtkImageGaussianSmooth or vtkImageMean with strides.

virtual void vtkImageShrink3D::AveragingOff | ( |  | ) | `[virtual]`

| Choose Mean, Minimum, Maximum, Median or sub sampling. The neighborhood operations are not centered on the sampled pixel. This may cause a half pixel shift in your output image. You can changed "Shift" to get around this. vtkImageGaussianSmooth or vtkImageMean with strides.

void vtkImageShrink3D::SetMean | ( | int |  | ) |

virtual int vtkImageShrink3D::GetMean | ( |  | ) | `[virtual]`

virtual void vtkImageShrink3D::MeanOn | ( |  | ) | `[virtual]`

virtual void vtkImageShrink3D::MeanOff | ( |  | ) | `[virtual]`

void vtkImageShrink3D::SetMinimum | ( | int |  | ) |

virtual int vtkImageShrink3D::GetMinimum | ( |  | ) | `[virtual]`

virtual void vtkImageShrink3D::MinimumOn | ( |  | ) | `[virtual]`

virtual void vtkImageShrink3D::MinimumOff | ( |  | ) | `[virtual]`

void vtkImageShrink3D::SetMaximum | ( | int |  | ) |

virtual int vtkImageShrink3D::GetMaximum | ( |  | ) | `[virtual]`

virtual void vtkImageShrink3D::MaximumOn | ( |  | ) | `[virtual]`

virtual void vtkImageShrink3D::MaximumOff | ( |  | ) | `[virtual]`

void vtkImageShrink3D::SetMedian | ( | int |  | ) |

virtual int vtkImageShrink3D::GetMedian | ( |  | ) | `[virtual]`

virtual void vtkImageShrink3D::MedianOn | ( |  | ) | `[virtual]`

virtual void vtkImageShrink3D::MedianOff | ( |  | ) | `[virtual]`

void vtkImageShrink3D::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageShrink3D::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageShrink3D::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 110 of file vtkImageShrink3D.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageShrink3D::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageShrink3D::ShrinkFactors[3]`[protected]`

| Definition at line 101 of file vtkImageShrink3D.h.

int vtkImageShrink3D::Shift[3]`[protected]`

| Definition at line 102 of file vtkImageShrink3D.h.

int vtkImageShrink3D::Mean`[protected]`

| Definition at line 103 of file vtkImageShrink3D.h.

int vtkImageShrink3D::Minimum`[protected]`

| Definition at line 104 of file vtkImageShrink3D.h.

int vtkImageShrink3D::Maximum`[protected]`

| Definition at line 105 of file vtkImageShrink3D.h.

int vtkImageShrink3D::Median`[protected]`

| Definition at line 106 of file vtkImageShrink3D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageShrink3D.h